
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Doug Lea / iVAN</title>

    <meta name="description" content="Doug Lea 如果IT的历史,是以人为主体串接起来的话,那么肯定少不了Doug Lea.这个鼻梁挂着眼镜,留着德王威廉二世的胡子,脸上永远挂着谦逊腼腆笑容,服务于纽约州立大学Oswego分校计算机科学系的老大爷. 说他是这个世界上对Java影响力最大的个人,一点也不为过.因为两次Java历史上的大变革,他都间接或直接的扮演了举足轻重的角色.一次是由JDK 1.1到JDK 1.2,JDK1.2很重要的一项新创举就是Collections,其Collections的概念可以说承袭自Doug Lea于1995年发布">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Doug Lea</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>如果IT的历史，是以人为主体串接起来的话，那么肯定少不了Doug Lea。这个鼻梁挂着眼镜，留着德王威廉二世的胡子，脸上永远挂着谦逊腼腆笑容，服务于<a href="http://baike.baidu.com/subview/352966/352966.htm" rel="external nofollow noreferrer">纽约州立大学</a>Oswego分校计算机科学系的老大爷。</p>
<p>说他是这个世界上对Java影响力最大的个人，一点也不为过。因为两次Java历史上的大变革，他都间接或直接的扮演了举足轻重的角色。一次是由JDK 1.1到JDK 1.2，JDK1.2很重要的一项新创举就是Collections，其Collections的概念可以说承袭自Doug Lea于1995年发布的第一个被广泛应用的collections；一次是2004年所推出的Tiger。Tiger广纳了15项JSRs(Java Specification Requests)的语法及标准，其中一项便是JSR-166。<strong>JSR-166是来自于Doug编写的util.concurrent包</strong>。</p>
<p>值得一提的是: Doug Lea也是JCP (<a href="http://baike.baidu.com/subview/29/12654100.htm" rel="external nofollow noreferrer">Java</a>小区项目)中的一员。</p>
<p>Doug是一个无私的人，他深知分享知识和分享苹果是不一样的，苹果会越分越少，而自己的知识并不会因为给了别人就减少了，知识的分享更能激荡出不一样的火花。《Effective JAVA》这本Java经典之作的作者Joshua Bloch便在书中特别感谢Doug Lea是此书中许多构想的共鸣板，感谢Doug Lea大方分享丰富而又宝贵的知识。</p>
<p>http://baike.baidu.com/link?url=1N_Fb-i7W8X2_sveQcqrUpy9u2lke4CFbWwQ_JKc8qyUFObmiF7-UVY9cRfxKHit5TYJGvnDSH_VZhlcUCC5Aa</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 05:55:41</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/jdk/" title="jdk">jdk</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Doug Lea的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRDPZ3z.html" rel="bookmark">利用Doug Lea的并发包实现带超时机制的线程池</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				   jdk5引入的concurrent包来自于Doug Lea的卓越贡献.最近我在查找服务器OOM的原因之后,决定采用这个包重写应用中一个servlet,这个servlet调用了一个阻塞方法,当被阻塞之后,服务器中的线程数(因为阻塞了,后续请求不断地新增线程)突然增加导致了服务器当机,因此决定采用一个线程池,并且设置超时,如果阻塞方法超过一定时间就取消线程.因为我们的项目仍然跑在jdk 1.4.2上面,短期内不可能升级到jdk5,还是要利用这个并发包.去这里下载源码并自己打包成jar,加入项目			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqgLGKz.html" rel="bookmark">Doug Lea并发编程文章全部译文</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Doug Lea's Home Page 如果IT的历史,是以人为主体串接起来的话,那么肯定少不了Doug Lea.这个鼻梁挂着眼镜,留着德王威廉二世的胡子,脸上永远挂着谦逊腼腆笑容,服务于纽约州立大学Oswego分校计算机科学系的老大爷. 说他是这个世界上对Java影响力最大的个人,一点也不为过.因为两次Java历史上的大变革,他都间接或直接的扮演了举足轻重的角色.一次是由 JDK 1.1到JDK 1.2,JDK1.2很重要的一项新创举就是Collections,其Collections的概念			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1MvGErp.html" rel="bookmark">Java核心技术　卷Ⅰ　基础知识（原书第10版）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java核心技术系列 Java核心技术 卷Ⅰ 基础知识 (原书第10版) Core Java Volume I-Fundamentals (10th Edition) ［美］ 凯S.霍斯特曼(Cay S. Horstmann) 著 周立新 陈 波 叶乃文 邝劲筠 杜永萍 译 图书在版编目(CIP)数据 Java核心技术 卷Ⅰ 基础知识(原书第10版) / (美)凯S. 霍斯特曼(Cay S. Horstmann)著:周立新等译. -北京:机械工业出版社,2016.8 (Java核心技术系列) 书			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQr5oM.html" rel="bookmark">深入剖析ConcurrentHashMap&lpar;2&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				经过之前的铺垫,现在可以进入正题了. 我们关注的操作有:get,put,remove 这3个操作. 对于哈希表,Java中采用链表的方式来解决hash冲突的. 一个HashMap的数据结构看起来类似下图: 实现了同步的HashTable也是这样的结构,它的同步使用锁来保证的,并且所有同步操作使用的是同一个锁对象.这样若有n个线程同时在get时,这n个线程要串行的等待来获取锁. ConcurrentHashMap中对这个数据结构,针对并发稍微做了一点调整. 它把区间按照并发级别(concurren			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5Zrmz.html" rel="bookmark">有关&OpenCurlyDoubleQuote;双重检查锁定失效&rdquo;的说明</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址 译者:丁一 双重检查锁定(以下称为DCL)已被广泛当做多线程环境下延迟初始化的一种高效手段. 遗憾的是,在Java中,如果没有额外的同步,它并不可靠.在其它语言中,如c++,实现DCL,需要依赖于处理器的内存模型.编译器实行的重排序以及编译器与同步库之间的交互.由于c++没有对这些做出明确规定,很难说DCL是否有效.可以在c++中使用显式的内存屏障来使DCL生效,但Java中并没有这些屏障. 来看下面的代码 01 // Single threaded version 02 class			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgEmBz.html" rel="bookmark">Reactor模式详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前记 第一次听到Reactor模式是三年前的某个晚上,一个室友突然跑过来问我什么是Reactor模式?我上网查了一下,很多人都是给出NIO中的 Selector的例子,而且就是NIO里Selector多路复用模型,只是给它起了一个比较fancy的名字而已,虽然它引入了EventLoop概 念,这对我来说是新的概念,但是代码实现却是一样的,因而我并没有很在意这个模式.然而最近开始读Netty源码,而Reactor模式是很多介绍Netty的文章中被大肆宣传的模式,因而我再次问自己,什么是Reacto			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzV7mBb.html" rel="bookmark">为什么无等待如此重要</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文地址 ,译文链接,译者:张军,校对:梁海舰 无锁(完全同步) 想象一下,一个无锁算法或数据结构有一个方法,这个方法所有执行过程都需要同步.假设在单线程模式下这个方法每次调用需要10ns,而每增加一个线程调用这个方法,将在同步状态(变量)上产生争用. 很显然,如果只有一个线程,每次调用该方法到返回平均时间都为10ns,我们称之为:每10ns完成的任务数:如果你增加更多的线程,他们将会增加其他线程执行完成的时间,这是因为同一时刻只有一个线程能获得锁: 记住,无锁(Lock-Free)保证一个线程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPlnqp.html" rel="bookmark">深度解析Java8 &ndash; AbstractQueuedSynchronizer的实现分析（上）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文首发在infoQ :www.infoq.com/cn/articles/jdk1.8-abstractqueuedsynchronizer 前言: Java中的FutureTask作为可异步执行任务并可获取执行结果而被大家所熟知,通常可以使用future.get()来获取线程的执行结果,在线程执行结束之前,get方法会一直阻塞状态,直到call()返回,其优点是使用线程异步执行任务的情况下还可以获取到线程的执行结果,但是FutureTask的以上功能却是依靠通过一个叫AbstractQueu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMlA1qp.html" rel="bookmark">聊聊并发（一）深入分析Volatile的实现原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文属于作者原创,原文发表于InfoQ:http://www.infoq.com/cn/articles/ftf-java-volatile 引言 在多线程并发编程中synchronized和Volatile都扮演着重要的角色,Volatile是轻量级的synchronized,它在多处理器开发中保证了共享变量的&quot;可见性&quot;.可见性的意思是当一个线程修改一个共享变量时,另外一个线程能读到这个修改的值.它在某些情况下比synchronized的开销更小,本文将深入分析在硬件层面上Inter			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMAV9Zp.html" rel="bookmark" class="title">初学者很好的参考：HTML标签详尽讲解</a>
					<div>
						参考|初学 结构 &lt;html&gt;&lt;head&gt;&lt;title&gt;标题&lt;title&gt;&lt;/head&gt;&lt;body&gt;..........文件内容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp571Wb.html" rel="bookmark" class="title">Dreamweaver 的二十大技巧</a>
					<div>
						dreamweaver|技巧 1)怎样将 Dreamweaver 集成到 IE 浏览器?Dreamweaver 安装程序会在上下文选单增加一个&quot; Edit with Dreamweaver  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyJEvp.html" rel="bookmark" class="title">MySQL 5&period;0 新特性教程 存储过程&colon;第四讲</a>
					<div>
						mysql|存储过程|教程 作者:mysql AB;翻译:陈朋奕 Error Handling 异常处理 好了,我们现在要讲的是异常处理 1. Sample Problem: Log Of Failu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq9Z3M.html" rel="bookmark" class="title">解秘：让百度蜘蛛常驻网站的四个方法</a>
					<div>
						大家好,我是胖子.百度蜘蛛是公认最活跃的搜索引擎程序,一般我们通过IIS日志看到蜘蛛记录的时候非常的开心,特别是收录我们的内容和更新快照的时候,在这里从新站和老站谈让百度蜘蛛常驻的方法. 1.内容吸引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpdg8NM.html" rel="bookmark" class="title">动态页中服务器端的处理</a>
					<div>
						动态|服务器      前面的章节已经研究了ASP的一些内置对象.重点介绍的对象有Request.Response.Session和Application对象.ASP中另一个比较主要的对象为Serve ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlqJ5b.html" rel="bookmark" class="title">做权限管理的时候，对某个用户的权限进行检索</a>
					<div>
						--用户继承树 CREATE function getUserTree(@UserName sysname, --用户名 @Seq bit --查找方式:0查找子孙 1.查找祖先 ) returns  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NVvwz.html" rel="bookmark" class="title">linux下vsftp的设置详解</a>
					<div>
						知识点: 1.FTP使用TCP连接和TCP端口 2.在进行通信时,FTP需要建立两个TCP连接: 一个用于控制信息,TCP端口号缺省为21 一个用于数据传输,TCP端口号缺省为20 3.Vsftp是一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwYavz.html" rel="bookmark" class="title">&period;Net设计模式实例之原型模式&lpar; Prototype Pattern&rpar;</a>
					<div>
						一.原型模式简介(Brief Introduction) 原型模式(Prototype Pattern):用原型实例指定创建对象的种类,并通过拷贝这些原型创建新的对象. Specify the kin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnJxnz.html" rel="bookmark" class="title">Java专业术语标准化规范</a>
					<div>
						-A- AJAX: (建议不译,原因:专有名词) [Asynchronous JavaScript and XML,异步JavaScript及XML] annotation: 注解 Ant: (建议不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlNGRb.html" rel="bookmark" class="title">2345看图王图片怎么分享？</a>
					<div>
						  2345看图王照片分享教程 2345看图王 2345看图王 从主菜单或者更多菜单启动分享图片功能,可以将图片分享到新浪微博.腾讯微博和QQ空间.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaJRnM.html" rel="bookmark" class="title">影响设计的趣味性因素之一</a>
					<div>
						最近,时常提到设计的趣味性,首先让人联想到卡通元素在网页中的运用,其因素在设计中的重要性值得倍加思索. 趣味性可以简单的理解为,某事物的内容能使人感到愉快,并且能引起人们产生兴趣的特性,从而达到增强用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKvgmM.html" rel="bookmark" class="title">找回Windows 8开始菜单 Start8新版发布</a>
					<div>
						Start8是一款可以让没有传统开始菜单的Windows 8重新获得开始菜单的小工具.Start8最近更新了最新版本,加强了软件的辅助功能: 1.任务栏支持类Win7的JumpList功能; 2.支持 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKJNyp.html" rel="bookmark" class="title">Win7家庭版如何升级为旗舰版？</a>
					<div>
						  Win7家庭版如何升级为旗舰版? 1.打开计算机,在地址栏中输入&quot;%windir%system32WindowsAnytimeUpgradeUI.exe&quot;(不含双引号)按下回车 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd73B4M.html" rel="bookmark" class="title">利用PS计算及通道完美消除人物脸部的斑点</a>
					<div>
						计算及通道完美消除人物脸部的斑点-脸部斑点原因&quot;&gt; 教程介绍一种比较综合的人物磨皮祛斑方法.主要是用计算.通道.曲线.模糊滤镜等来去斑.大致思路:先选择合适的通道并复制,然后用计算及滤 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkQwab.html" rel="bookmark" class="title">win8系统开启Microsoft网络适配器多路传送协议的具体方法</a>
					<div>
						  win8系统开启Microsoft网络适配器多路传送协议的具体方法.微软发布win8系统已经有好几年时间了,很多用户对win8系统非常钟爱,精心研究其中的功能.一些用户发现在Win8网络适配器中多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6LGmb.html" rel="bookmark" class="title">mac的iBooks提示不能访问您的书库错误怎么解决</a>
					<div>
						  出现这个问题的 Mac 设备系统为 OS X 10.11.X,导致这一问题的原因可能是我们从时光机(时间胶囊)恢复了系统.其主要表现为: 请确定包含您的书库的磁盘已连接,然后点按&quot;再试一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6Pd6b.html" rel="bookmark" class="title">iPhone手机驱动安装就找驱动人生6</a>
					<div>
						最新发布的iPhone 6又掀起了大家的强烈追捧.一般人都知道,手机用数据线连接电脑的时候都需要用到驱动,如果没有驱动的话,电脑就识别不了手机,就无法让电脑正常操作手机.安装驱动的方式是多种多样的,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP83q8p.html" rel="bookmark" class="title">DES、AES、RSA等常用加密算法介绍与比较</a>
					<div>
						       文本先简单介绍常用的加密算法,后面将逐步推送每个加密算法的加密原理与应用及java实现方式.        加密算法分对称加密和非对称算法,其中对称加密算法的加密与解密密钥相同,非对称加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ21qp.html" rel="bookmark" class="title">一些php项目中比较通用的php自建函数的详解&lowbar;php技巧</a>
					<div>
						以下一些php函数是我们it动力最常用的项目开发函数,这些函数还算是在比较多的项目中使用到的,也是比较通用的.1.请求接口的处理函数 复制代码 代码如下: /**  * curl访问程序接口  * @ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJkgLJb.html" rel="bookmark" class="title">ubuntu-Ubuntu eglInitialize 失败</a>
					<div>
						问题描述 Ubuntu eglInitialize 失败 平台: Ubuntu 14 Opengl ES x86_64 PVR SDK X11 _ 运行时闪一下窗口就不见了,自己编译的和PowerVR ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWkEyp.html" rel="bookmark" class="title">css-CSS问题 单元格中的图片超出单元格范围</a>
					<div>
						问题描述 CSS问题 单元格中的图片超出单元格范围 如下图,在单元格中插入了一张图片,但是图片却超出了单元格的范围,求大神帮忙分析下原因. 解决方案 给图片增加width:100%,height:10 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDenOXb.html" rel="bookmark" class="title">棋牌游戏架构</a>
					<div>
						一.物理架构说明 游戏系统组件包括: 服务器系统(中心服务器控制系统,服务器登陆控制系统,游戏登陆服务器,游戏房间控制系统,游戏组件系统),游戏客户端(游戏大厅,游戏组件). 数据库系统:用于保存用户 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZVDDz.html" rel="bookmark" class="title">如何客户端通过WebService调用服务器端电表串口返回电表读数&period;</a>
					<div>
						问题描述 项目需求:客户端程序通过WebService调用服务器上写好的读数电表读数的服务:如下publicstringGetAmmeterAm(stringamNo){returnnewAmmete ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40aOrz.html" rel="bookmark" class="title">Social Media附加价值开发的四大模式</a>
					<div>
						郑昀 20090830 社会化媒体的可携带可传播数据是海量的,从中打捞珍珠并串成线,还是需要一些手段的.你不能简单地获取那些像水一样流动的数据来展示,无论你的界面多么漂亮,都没有太大价值,你必须增加一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKYnVb.html" rel="bookmark" class="title">jstl-EL表达式出现异常报错</a>
					<div>
						问题描述 EL表达式出现异常报错 错误信息:org.apache.jasper.JasperException: /search/app/searchtools/cognation_query.jsp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12j3jp.html" rel="bookmark" class="title">《ZooKeeper官方文档》Zookeeper操作指南</a>
					<div>
						原文链接   译者:小村长 About 本项目是 Apache ZooKeeper官方文档的中文翻译版,致力于为有分布式协同项目需求和对 Apache Zookeeper 感兴趣的同学提供有价值的中文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqVm6p.html" rel="bookmark" class="title">微信配服务器验证失败-微信公众平台修改服务器配置时token验证失败</a>
					<div>
						问题描述 微信公众平台修改服务器配置时token验证失败 jsp里的源码: &lt;% String token = Weixin.TOKEN; String timestamp = request. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWW3JnM.html" rel="bookmark" class="title">hdu 1114 Piggy-Bank&lpar;完全背包&rpar;</a>
					<div>
						点击打开链接hdu1114 思路: 裸完全背包 代码: #include&lt;cstdio&gt; #include&lt;cstring&gt; #include&lt;iostream&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvn1eNM.html" rel="bookmark" class="title">问一个基础问题 用eclipse开发web项目</a>
					<div>
						问题描述 我刚学习web,用eclipse(没有装插件的eclipse)新建了一个 Dynamic Web project ,生成一个如图的默认文件结构,这和书上讲的不太一样 请问是我哪里没有设置好吗 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0XJBM.html" rel="bookmark" class="title">在线等&period;&period;&period;微软自带报表出问题</a>
					<div>
						问题描述 如果数据很多就出现如图问题:如果数据少报表正常显示,为啥呀? 解决方案 解决方案二:很多多到什么程度,什么代码都没有,能看出来那才叫神了解决方案三:智商拙计,你这和让我看着电脑屏幕然后创造一 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
